- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FULogFile Class Reference
[Utility Classes.]

A log file. More...

`#include <FULogFile.h>`

List of all members.

## Public Member Functions
| FULogFile (const fchar *filename)
| Constructor.
| ~FULogFile ()
| Destructor.
FUFile * | GetFile ()
| Returns the underlying FUFile.
const FUFile * | GetFile () const
| See above.
void | WriteLine (const char *filename, uint32 linenum, const char *message,...)
| Writes out a log message.
void | WriteLine (const char *filename, uint32 line, const fchar *message,...)
| See above.
void | WriteLine (const char *message,...)
| Writes out a log message.
void | WriteLine (const fchar *message,...)
| See above.
void | WriteLineV (const char *message, va_list &vars)
| Writes out a log message.
void | WriteLineV (const fchar *message, va_list &vars)
| See above.
void | Flush ()
| Flushes the log file.

## Detailed Description

A log file.

This class simply makes writing out text file easier.

## Constructor & Destructor Documentation

FULogFile::FULogFile | ( | const fchar * | filename | ) |

  | Constructor. This opens, for writing, the file with the given filename. Relative filepaths are recommended for log files. Parameters:
  | filename | The log filename.

## Member Function Documentation

FUFile* FULogFile::GetFile | ( |  | ) | `[inline]`

| Returns the underlying FUFile. Returns: The FUFile.

void FULogFile::WriteLine | ( | const char * | message,
|  |  | ...
| ) |

  | Writes out a log message. This version of this function is useful for messages aimed at users. Parameters:
  | message | The message to write out.

void FULogFile::WriteLine | ( | const char * | filename,
|  | uint32 | linenum,
|  | const char * | message,
|  |  | ...
| ) |

  | Writes out a log message. This version of this function is useful for code-base assertions and error messages aimed at programmers. Parameters:
  | filename | A filename.
  | linenum | A line number.
  | message | The message to write out.

void FULogFile::WriteLineV | ( | const char * | message,
|  | va_list & | vars
| ) |

  | Writes out a log message. The variable-list version of this function. Parameters:
  | message | The message to write out.
  | vars | A variable list object.

The documentation for this class was generated from the following file:

- FUtils/FULogFile.h